Scans
Create, run, and control autonomous security scans.
- List all scans with pagination
GET /api/scans - Create a new scan
POST /api/scans - Get scan history from database
GET /api/scans/history - Run preflight checks before starting a scan
POST /api/scans/preflight - Get recoverable scans
GET /api/scans/recoverable - Get scan details
GET /api/scans/{run_name} - Update scan configuration
PATCH /api/scans/{run_name} - Delete a scan
DELETE /api/scans/{run_name} - Clone a scan with new run name
POST /api/scans/{run_name}/clone - Get complete scan data (consolidated endpoint)
GET /api/scans/{run_name}/full - Launch an investigation agent on a completed scan
POST /api/scans/{run_name}/investigate - Pause a running scan
POST /api/scans/{run_name}/pause - Relaunch a stopped scan
POST /api/scans/{run_name}/relaunch - Rename a scan
POST /api/scans/{run_name}/rename - Resume a paused scan
POST /api/scans/{run_name}/resume - Start a pending scan
POST /api/scans/{run_name}/start - Stop a running scan
POST /api/scans/{run_name}/stop